/*
 * DynamicRouteTable.Java
 * 
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_ANTS_ROUTE_PKG;

import JANOS_ROUTE_PKG.WriteableRouteTable;

import JANOS_CORE_PKG.AddressFormatException;
import JANOS_CORE_PKG.NoSuchNodeAddress;

import java.io.IOException; // XXX

IMPORT_DEBUG
IMPORT_TRACE

/**
 * An ANTS static route table is just a WriteableRouteTable
 * plus a method to parse the startup route table file.
 * <p>
 * Access to this class assumes access to WriteableRouteTable.
 *
 * @see RouteTableReader
 */
public class StaticRouteTable
	extends WriteableRouteTable
	implements JANOS_ANTS_ANTS_PKG.RouteTable
{
	public void configure(int nodeAddr, boolean doUpdates, String configFile)
		throws IOException, AddressFormatException, NoSuchNodeAddress
	{
		assert(!doUpdates);
		assert(nodeAddr != 0);
		assert(configFile);
		
		RouteTableReader.read(nodeAddr, this, configFile);
	}
}

