/*
 * FlowRegister.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

import java.util.Vector; // XXX

/**
 * Maintain a map of all the Flows in the system.
 */
PACKAGE class FlowRegister
{
	private static final Vector flows = new Vector(30);

	PACKAGE static void register(Flow flow)
	{
		flows.addElement(flow);
	}

	/**
	 * XXX throws run-time exceptions if there's
	 * a problem..
	 */
	PACKAGE static String[] getFlowMap()
	{
		String[] result;

		// XXX synchronization
		result = new String[flows.size()];
		for (int i = 0; i < flows.size(); i++)
		{
			Flow elem = (Flow)flows.elementAt(i);
			result[i] = elem.toString();
		}

		return result;
	}
}
