/*
 * Main.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

/**
 * Boot the Janos Java core.
 * <p>
 * Strives for swanhood.
 */
public class Main
{
	PACKAGE final static int ROOT_FLOW_BUFFERS = 32;

	public static void main(String[] args)
	{
		// Load native libraries, etc.
		loadNativeLayer();

		String[] extraArgs = new String[args.length - 1];
		System.arraycopy(args, 1, extraArgs, 0, extraArgs.length);

		// create the root flow
		new Flow(
			null,
			new Credentials("root cred"),
			new ThreadPoolSpec(
				null,
				ThreadScheduler.basicScheduler()),
			new MemSpec(ROOT_FLOW_BUFFERS),
			new FlowStartSpec(
				new ClassSpec[0],
				args[0],
				extraArgs,
				/*CommSpaceHandle*/ null));

		Node.println("Root flow in effect.");
	}

	private static void loadNativeLayer()
	{
		// java.lang.System.loadLibrary("JanosCore");
	}
}

