/*
 * Status.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

/**
 * Obtain status information on the state of this NodeOS.
 * <p>
 * This is the public interface to querying stats on the
 * NodeOS.
 */
public class Status
{
	private static Status statusObj = new Status();

	/**
	 * Private constructor.  Status objects can only be created
	 * by the static method getStatusObject().
	 */
	private Status()
	{
	}

	private static boolean gaveStat = false;

	public static Status getStatusObject()
	{
		if (gaveStat)
			return null;
		gaveStat = true;
		return statusObj;
	}

	public String[] getPacketClassifierMap()
	{
		return InChannel.getPacketClassifierMap();
	}

	public String[] getFlowMap()
	{
		return FlowRegister.getFlowMap();
	}
}
