/*
 * WorkItem.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

/**
 * A queueable callback for a ThreadPool.
 * <p>
 * XXX this is a public class.  It probably needs to
 * have the constructor and a number of methods protected,
 * or be made final.
 * <p>
 * XXX this is a really stupid class.  Hopefully it will
 * be sucked into the NodeOS...
 */
public class WorkItem
{
	/**
	 * The next WorkItem in the ThreadPool's queue of
	 * work items.
	 * <p>
	 * Manipulation of this field is protected by the
	 * ThreadPool's workLock.
	 */
	PACKAGE WorkItem next;

	/**
	 * The previous WorkItem in the ThreadPool's queue
	 * of work items.
	 * <p>
	 * Manipulation of this field is protected by the
	 * ThreadPool's workLock.
	 */
	PACKAGE WorkItem prev;

	private final Runnable workFunc;

	public WorkItem(Runnable r)
	{
		next = null;
		prev = null;
		workFunc = r;
	}

	PACKAGE final void doItem()
	{
		workFunc.run();
	}
}
